package com.wechat.model.dto;

import org.apache.commons.lang.StringEscapeUtils;

public class ActivityDetailDto {
	
	//奖品名-中文
	private String prizeNameCn;
	//奖品名-英文
    private String prizeNameEn;
	//兑换条件-中文
    private String conditionCn;
    //兑换条件-英文
    private String conditionEn;
    //兑换值-优质会员
    private Integer exchangeQuality;
    //兑换值-普通会员
    private Integer exchangeNormal;
    //奖品图-PC
    private String imgPc;
    //奖品图-手机
    private String imgMobile;
    //奖品ID（UUID）
    private String prizeId;
    //活动场次id
    private Integer actId;

    public String getPrizeId() {
        return prizeId;
    }

    public void setPrizeId(String prizeId) {
        this.prizeId = prizeId == null ? null : prizeId.trim();
    }

    public Integer getActId() {
        return actId;
    }

    public void setActId(Integer actId) {
        this.actId = actId;
    }
    
    public String getPrizeNameCn() {
        return prizeNameCn;
    }
    
    public String getConditionCn() {
		return conditionCn;
	}

	public void setConditionCn(String conditionCn) {
		conditionCn = StringEscapeUtils.unescapeHtml(conditionCn);
		this.conditionCn = conditionCn;
	}

	public String getConditionEn() {
		return conditionEn;
	}

	public void setConditionEn(String conditionEn) {
		conditionEn = StringEscapeUtils.unescapeHtml(conditionEn);
		this.conditionEn = conditionEn;
	}

	public Integer getExchangeQuality() {
		return exchangeQuality;
	}

	public void setExchangeQuality(Integer exchangeQuality) {
		this.exchangeQuality = exchangeQuality;
	}

	public Integer getExchangeNormal() {
		return exchangeNormal;
	}

	public void setExchangeNormal(Integer exchangeNormal) {
		this.exchangeNormal = exchangeNormal;
	}

    public void setPrizeNameCn(String prizeNameCn) {
    	prizeNameCn = StringEscapeUtils.unescapeHtml(prizeNameCn);
        this.prizeNameCn = prizeNameCn == null ? null : prizeNameCn.trim();
    }

    public String getPrizeNameEn() {
        return prizeNameEn;
    }

    public void setPrizeNameEn(String prizeNameEn) {
    	prizeNameEn = StringEscapeUtils.unescapeHtml(prizeNameEn);
        this.prizeNameEn = prizeNameEn == null ? null : prizeNameEn.trim();
    }

	public String getImgPc() {
		return imgPc;
	}

	public void setImgPc(String imgPc) {
		this.imgPc = imgPc;
	}

	public String getImgMobile() {
		return imgMobile;
	}

	public void setImgMobile(String imgMobile) {
		this.imgMobile = imgMobile;
	}


}